> ## Documentation Index
> Fetch the complete documentation index at: https://docs.spotflow.one/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Tax Settings by Country/Region

> Returns a list of all custom tax rules and rates configured for a specific country.



## OpenAPI

````yaml openapi.json GET /tax-configurations
openapi: 3.1.0
info:
  title: Spotflow
  description: ''
  license:
    name: MIT
  version: 1.0.0
servers:
  - description: Production server
    url: https://api.spotflow.co/api/v1
security:
  - bearerAuth: []
paths:
  /tax-configurations:
    get:
      summary: Get Tax Settings by Country/Region
      description: >-
        Returns a list of all custom tax rules and rates configured for a
        specific country.
      parameters:
        - name: regionId
          in: query
          required: true
          description: The unique ID number for the country (e.g., `1` for Nigeria).
          schema:
            type: integer
            example: 1
      responses:
        '200':
          description: A list of configured tax settings.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TaxConfiguration'
components:
  schemas:
    TaxConfiguration:
      type: object
      properties:
        id:
          type: integer
          example: 12
        taxName:
          type: string
          example: VAT
        taxType:
          type: string
          enum:
            - flat
            - percentage
          example: percentage
        rate:
          type: number
          format: float
          example: 7.5
        currency:
          type: string
          example: NGN
        capAmount:
          type: number
          format: float
          example: 2000
        thresholdAmount:
          type: number
          format: float
          example: 0
        regionId:
          type: integer
          example: 1
        regionName:
          type: string
          example: Nigeria
        merchantName:
          type: string
          example: DEE LLC
        status:
          type: string
          enum:
            - active
            - inactive
          example: active
        template:
          type: boolean
          example: false
        templateId:
          type: integer
          example: 1
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````